#
# spec file for package libqt4 (Version 4.2.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtiff libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           libqt4
BuildRequires:  Mesa-devel cups-devel dbus-1-devel freetype2-devel gcc-c++ libjpeg-devel libmng-devel libpng-devel pkgconfig
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
Url:            http://www.trolltech.com
License:        GPL v2 or later
Group:          System/Libraries
AutoReqProv:    on
Summary:        C++ Program Library, Core Components
Obsoletes:      qt
Provides:       qt
# COMMON-BEGIN
Version:        4.2.1
Release:        22
%define x11_free  -x11-opensource-src-
%define rversion 4.2.1
Source:         qt%x11_free%rversion.tar.bz2
Source10:       qt4config.desktop
Source11:       designer4.desktop
Source12:       linguist4.desktop
Source13:       assistant4.desktop
Patch2:         qt-never-strip.diff
Patch3:         plastik-default.diff
Patch5:         lib64.patch
Patch6:         disable-subpixel.diff
Patch10:        0145-qabstractitemview-dropindicator.diff
Patch11:        0146-rasterpaint-qbrush-image.diff
Patch12:        0147-qbrush-detach-transform.diff
Patch13:        0148-qdbus-4.2.2-fixes.diff
Patch14:        0149-qdbusconnection-nowarning.diff
Patch15:        CVE-2007-0242.diff
Patch16:        fix-string-literal-comparison.diff
Patch17:        qt-font-choose.diff
Patch18:        fix-x11-names-in-qcolor.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define common_options -fast -no-separate-debug-info -shared -xkb -tablet -xrender -xrandr -xinerama -xshape -sm -no-nas-sound -no-rpath -system-libjpeg -system-libpng -accessibility -cups -stl -nis -system-zlib -qt-gif -prefix /usr -L %_libdir -libdir %_libdir -docdir %_docdir/libqt4 -examplesdir %_docdir/libqt4/examples -demosdir %_libdir/qt4/demos -plugindir %plugindir -translationdir /usr/share/qt4/translations -iconv -sysconfdir /etc/settings -datadir /usr/share/qt4/

%description
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.



Authors:
--------
    Troll Tech AS, Norway

%debug_package
%prep
%define plugindir %_libdir/qt4/plugins
%setup -q -n qt%x11_free%rversion
#%patch -p1
%patch2
%patch3
%patch5
%patch6
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
# be sure not to use them
rm -rf src/3rdparty/{libjpeg,freetype,libpng,zlib}
# COMMON-END

%package devel
License:        GPL v2 or later; THE Q PUBLIC LICENSE (QPL)
Group:          Development/Libraries/X11
Summary:        Qt Development Kit
Requires:       xorg-x11-devel zlib-devel c++_compiler pkgconfig
Requires:       freetype2-devel libmng-devel libpng-devel dbus-1-devel
Requires:       %name = %version
Provides:       dbus-1-qt-devel < 0.63
Obsoletes:      dbus-1-qt-devel < 0.63
Obsoletes:      qt-devel
Provides:       qt-devel

%description devel
You need this package, if you want to compile programs with Qt. It
contains the "Qt Crossplatform Development Kit". It does contain
include files and development applications like GUI designers,
translator tools and code generators.



Authors:
--------
    Troll Tech AS, Norway

%package dbus-1
License:        GPL v2 or later; THE Q PUBLIC LICENSE (QPL)
Group:          System/Libraries
Summary:        C++ Program Library, D-BUS Bindings
Requires:       %name = %version
Provides:       dbus-1-qt < 0.63
Provides:       qt-dbus-1 < 4.2.0
Obsoletes:      dbus-1-qt < 0.63
Obsoletes:      qt-dbus-1 < 4.2.0

%description dbus-1
Qt is a set of libraries for developing applications.

This package contains the D-BUS Qt bindings.



Authors:
--------
    Troll Tech AS, Norway

%package devel-doc
License:        GPL v2 or later; THE Q PUBLIC LICENSE (QPL)
Group:          Documentation/HTML
Summary:        Qt documentation
Obsoletes:      qt-devel-doc
Provides:       qt-devel-doc
Requires:       %name = %version
Requires:       %name-devel-doc-data = %version

%description devel-doc
The package contains documentation and examples to develop Qt
applications. The SuSE help provides a search function for this
documentation. The package includes also a tutorial and examples.



Authors:
--------
    Troll Tech AS, Norway

%package x11
License:        GPL v2 or later; THE Q PUBLIC LICENSE (QPL)
Group:          Development/Libraries/C and C++
Summary:        Qt 4 GUI related libraries
Obsoletes:      qt-x11
Provides:       qt-x11
Requires:       %name = %version

%description x11
Qt 4 libraries which are used for drawing widgets and OpenGL items.



Authors:
--------
    Troll Tech AS, Norway

%package qt3support
License:        GPL v2 or later; THE Q PUBLIC LICENSE (QPL)
Group:          System/Libraries
Summary:        C++ Program Library, Core Components
Obsoletes:      qt-qt3support
Provides:       qt-qt3support
Requires:       %name = %version

%description qt3support
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.



Authors:
--------
    Troll Tech AS, Norway

%package sql
License:        GPL v2 or later; THE Q PUBLIC LICENSE (QPL)
Group:          Development/Libraries/C and C++
Summary:        Qt 4 SQL related libraries
Obsoletes:      qt-sql
Provides:       qt-sql
Requires:       %name = %version

%description sql
Qt 4 libraries which are used for connection with an SQL server. You
will need also a plugin package for a supported SQL server.



Authors:
--------
    Troll Tech AS, Norway

%build
export QTDIR=$PWD
export PATH=$PWD/bin:$PATH
export LD_LIBRARY_PATH=$PWD/lib/
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
sed -i -e "s,^\(CXXFLAGS[ \t]*=.*\),\1 $RPM_OPT_FLAGS," qmake/Makefile.unix
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS"
export CFLAGS="$CFLAGS $RPM_OPT_FLAGS"
echo yes | ./configure %common_options -no-sql-sqlite -no-sql-sqlite2
make %{?jobs:-j %jobs}

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install
# argggh, qmake is such a piece of <censored>
mkdir -p $RPM_BUILD_ROOT/%_libdir/pkgconfig
mv $RPM_BUILD_ROOT/%_libdir/*.pc $RPM_BUILD_ROOT/%_libdir/pkgconfig
# qmake is even a bigger piece of <censored>
find $RPM_BUILD_ROOT/%_libdir -type f -name '*prl' -exec perl -pi -e "s, -L$RPM_BUILD_DIR/\S+,,g" {} \;
find $RPM_BUILD_ROOT/%_libdir -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find $RPM_BUILD_ROOT/%_docdir/%name -type f -name 'lib*.a' -exec rm {} \;
find $RPM_BUILD_ROOT/%_libdir -type f -name '*la' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} \;
find $RPM_BUILD_ROOT/%_libdir/ -name 'lib*.a' -exec chmod -x -- {} \;
mkdir -p $RPM_BUILD_ROOT/%plugindir/sqldrivers
if test -f changes-*; then
  cp -a changes-* \
      $RPM_BUILD_ROOT/usr/share/doc/packages/%name/
fi
mv $RPM_BUILD_ROOT/%_libdir/qt4/demos/dbus-viewer/dbus-viewer $RPM_BUILD_ROOT/usr/bin
ln -s %_libdir/qt4/demos $RPM_BUILD_ROOT/%_docdir/libqt4/demos
rm -rf $RPM_BUILD_ROOT/%_libdir/qt4/demos/dbus-viewer
# packaged in libqt4-devel-doc-data
rm -rf $RPM_BUILD_ROOT/%_docdir/libqt4/{html,examples}
#
# install menu entries
#
%suse_update_desktop_file -i qt4config  Qt Utility     DesktopSettings
%suse_update_desktop_file -i assistant4 Qt Development Documentation
%suse_update_desktop_file -i designer4  Qt Development GUIDesigner
%suse_update_desktop_file -i linguist4  Qt Development Translation

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig -n %_libdir

%post devel
/sbin/ldconfig -n %_libdir

%post x11
/sbin/ldconfig -n %_libdir

%post qt3support
/sbin/ldconfig -n %_libdir

%post sql
/sbin/ldconfig -n %_libdir

%postun
/sbin/ldconfig -n %_libdir

%postun devel
/sbin/ldconfig -n %_libdir

%postun x11
/sbin/ldconfig -n %_libdir

%postun qt3support
/sbin/ldconfig -n %_libdir

%postun sql
/sbin/ldconfig -n %_libdir

%files
%defattr(-,root,root,755)
%dir %_libdir/qt4
%dir %plugindir
%dir /usr/share/qt4
%dir /usr/share/doc/packages/%name
/usr/share/doc/packages/%name/changes-*
%_libdir/libQtCore*.so.*
%_libdir/libQtNetwork*.so.*
%_libdir/libQtXml*.so.*
%_libdir/libQtTest.so.*
/usr/share/qt4/phrasebooks
/usr/share/qt4/translations

%files x11
%defattr(-,root,root,755)
%exclude %plugindir/accessible/libqtaccessiblecompatwidgets.so
/usr/bin/qtconfig
/usr/bin/dbus-viewer
/usr/share/applications/qt4config.desktop
# designer.png is referenced by qt4config.desktop
/usr/share/pixmaps/designer.png
%_libdir/libQtGui*.so.*
%_libdir/libQtOpenGL*.so.*
%_libdir/libQtSvg.so.*
%plugindir/codecs
%plugindir/iconengines
%plugindir/imageformats
%plugindir/inputmethods
%plugindir/accessible

%files qt3support
%defattr(-,root,root,755)
%_libdir/libQt3Support*.so.*
%plugindir/accessible/libqtaccessiblecompatwidgets.so

%files dbus-1
%defattr(-,root,root,755)
%_libdir/libQtDBus*.so.*

%files devel
%defattr(-,root,root,755)
/usr/bin/rcc
/usr/bin/uic
/usr/bin/uic3
/usr/bin/moc
/usr/bin/qmake
/usr/bin/designer
/usr/bin/linguist
/usr/bin/lrelease
/usr/bin/lupdate
/usr/bin/pixeltool
/usr/bin/qt3to4
/usr/bin/qdbus
/usr/bin/qdbuscpp2xml
/usr/bin/qdbusxml2cpp
%_libdir/lib*.prl
%_libdir/lib*a
%_libdir/lib*.so
%_libdir/libQtDesigner*.so.*
%_libdir/pkgconfig/*
%plugindir/designer
/usr/include/*
/usr/share/applications/designer4.desktop
/usr/share/applications/linguist4.desktop
/usr/share/qt4/mkspecs
/usr/share/qt4/q3porting.xml

%files devel-doc
%defattr(-,root,root,755)
/usr/bin/assistant
/usr/bin/qtdemo
/usr/share/pixmaps/assistant.png
/usr/share/applications/assistant4.desktop
/usr/share/pixmaps/linguist.png
/usr/%_lib/qt4/demos
%_docdir/libqt4/demos
%_libdir/libQtAssistantClient.so.*

%files sql
%defattr(-,root,root,755)
%dir %plugindir/sqldrivers
%_libdir/libQtSql*.so.*

%changelog
* Wed Sep 03 2008 - dmueller@suse.de
- update to the final 4.2.1 release (bnc#411570)
* Fri Mar 30 2007 - dmueller@suse.de
- add fix for utf8 decoder issue (#259187, CVE-2007-0242)
- fix string literal comparison
- fix handling of X11 names in X ressources (#244935)
- fix fontconfig handling issues (#244579)
* Mon Nov 20 2006 - schwab@suse.de
- Provide/obsolete qt-sql only once.
* Fri Nov 17 2006 - dmueller@suse.de
- split devel-doc-data from devel-doc
* Tue Nov 14 2006 - dmueller@suse.de
- move dbus-viewer from demos to /usr/bin
* Wed Oct 25 2006 - dmueller@suse.de
- add several patches for common bugs
- default to plastique style for undetectable environments (#214960)
* Fri Oct 20 2006 - dmueller@suse.de
- update to 4.2.1:
  * include CVE-2006-4811 patch
* Fri Oct 20 2006 - dmueller@suse.de
- fix typo in CVE-2006-4811 patch
* Fri Oct 20 2006 - dmueller@suse.de
- fix provides/obsoletes for libqt4-dbus
* Thu Oct 19 2006 - dmueller@suse.de
- add patch for integer overflow in QPixmap/QImage
  (#212544, CVE-2006-4811)
* Sat Oct 07 2006 - stbinner@suse.de
- add Provides: and Obsoletes: for old package names
* Wed Oct 04 2006 - dmueller@suse.de
- update to 4.2.0:
  * bugfixes
* Mon Sep 11 2006 - dmueller@suse.de
- update to 4.2 snapshot 20060911:
  * dbus related tools are renamed
  * QLibrary bugfixes
* Tue Sep 05 2006 - dmueller@suse.de
- Qt 4.2.rc1 update:
  * no changelog available
* Sun Sep 03 2006 - dmueller@suse.de
- Rename the other qt-* related references as well.
* Sun Sep 03 2006 - aj@suse.de
- Rename qt -> libqt4 in BuildRequires and Requires as well.
* Fri Sep 01 2006 - dmueller@suse.de
- update to Qt 4.2 snapshot 20060901:
  * various critical bugfixes
* Mon Aug 28 2006 - dmueller@suse.de
- package rename: qt -> libqt4
* Tue Aug 22 2006 - dmueller@suse.de
- update to Qt 4.2 snapshot 20060820:
  * QtDBus API review
  * build system overhaul
* Sat Aug 12 2006 - dmueller@suse.de
- add patch for middle click support in QSystemTrayIcon
* Tue Aug 01 2006 - dmueller@suse.de
- add provides/obsoletes for dbus-1-qt
* Mon Jul 31 2006 - dmueller@suse.de
- Update to Qt 4.2 technical preview 1
  - QGraphicsView
  - DBus Bindings
* Tue Jul 11 2006 - dmueller@suse.de
- Remove patches that didn't go upstream
- Shorten ChangeLog
- Install libQtUiTools (#189163)
* Wed Jun 28 2006 - dmueller@suse.de
- move icons into the right subpackage (#172505)
* Fri Jun 23 2006 - adrian@suse.de
- update to version 4.1.4
  Plenty of changes/bugfixes, but full forward and backward
  compatibility to 4.1.x. Details are described in
  /usr/share/doc/packages/qt/changes.4.1.4
- allow build on Mandriva and Fedora
* Mon Jun 19 2006 - dmueller@suse.de
- Fix build on s390(x)
* Mon May 29 2006 - schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Fri May 26 2006 - dmueller@suse.de
- fix sql plugins version require base package (#159092)
* Tue May 23 2006 - adrian@suse.de
- reapply the 0119-qaction-widgetfactory.diff and
  0112-ksyntaxhighlighter-rehighlight-document.diff patch to be
  able to build KDE 4 again
* Sat May 20 2006 - adrian@suse.de
- update to version 4.1.3
  Plenty of changes/bugfixes, but full forward and backward
  compatibility. Details are described in
  /usr/share/doc/packages/qt/changes.4.1.3
- fix build for the openSUSE build service
* Tue May 16 2006 - adrian@suse.de
- add patch 0116 from qt-copy to be able to build KDE 4
  (0116-qtoolbar-widgetforaction.diff)
* Tue May 16 2006 - dmueller@suse.de
- fix qt-devel requires
* Mon May 15 2006 - dmueller@suse.de
- 4.1.2 update:
- Fix crash when signals or slots were longer than 64 characters.
- QAbstractItemView
  Make sure we do not emit the activated() signal with an
  invalid index.
- QFileDialog
  Make getSaveFileName() use correct directory if the file does
  not exist.
  Fix crash when autocompleting in a directory with similar
  filenames.
- FreeType
  Fix compilation with older versions of FreeType.
- QHostAddress
  Fix crash in constructors.
- QImage
  Fix possible crash in copy() if the QRect is outside the image
  bounds.
- QLineEdit
  Fix mouse positioning with input methods.
- QMenu
  Fix dangling pointers.
- QPixmap
  Fix broken resize().
- QSet
  Fix crash when comparing two QSets.
- SQL drivers
  Fix compilation with PostgreSQL for earlier versions than 7.4.
  Fix TDS plugin build error on 64-bit Linux.
- QSvgRenderer
  Fix memory leak in QSvgRenderer when objects were destroyed.
- QTextBrowser
  Fix crash when loading large HTML file with tables.
- Text engine
  Fix memory corruption in QStackTextEngine.
- QTreeWidget
  Fix multi line text items.
- Q3PointArray
  Fix assert in makeArc() when the spanning angle is less than
  16.
- QFontDatabase
  Fix crash in loadXlfd().
- Printing
  Fix printing for X11.
- QAbstractItemView
  Fix selections when mouse-tracking is turned on.
  Fixed selection issues after row resizing.
  Fixed focus after pressing enter.
- QAbstractItemModel
  More consistent behavior in drag-and-drop code.
- QAbstractSlider
  Ensure changed-signals are only emitted when the value
  actually changed.
- QAbstractSocket
  Fixed a crash if disconnected during waitForReadyRead().
- QAccessibleWidget
  Fix an off-by-one navigation error in the accessibility
  support for menu bar and menus.
- QByteArray
  Fixed leftJustified() and rightJustified() when array contains
  \0's.
- QComboBox
  Fixed a crash when setting and deleting the model.
  Fixed a crash when using a QListWidget as the view.
- QCoreApplication
  Fixes race condition during plugin loading.
- QCommonStyle
  Fixed wrong size hint of PM_MenuButtonIndicator.
- QDateTime
  Fixed a regression in fromString().
  Avoid potential hang when paring invalid date formats.
- QDialog
  Fixed an issue where setExtension()/showExtension() didn't
  work in a constrained size mode.
- QDir
  cd() now fails when attempting to cd to a non-directory.
- QDirModel
  Improved stability when appending network drives.
  Improved stability when handling symlinks with relative paths.
- QDockWidget
  Update toggleViewAction() when widget gets hidden with close
  button.
- QFile
  Changed behavior of rename() to fail if a file of the same
  name already exists.
- QFileDialog
  Make sure filter combo box gets enabled when changing from
  Directory to ExistingFile mode.
  Improve filename completion for files with the same name but
  different extension.
  Make sure the selection is updated when modifying the filename
  by removing characters.
  Allow typing in several file names in the file name line edit.
  Improve handling of non-existent windows shares.
  Improve handling of hidden directories.
  Make it possible to create new folder when a folder called
  "New Folder" already exists.
  Improve usability by not changing the filename text when
  directories are selected.
  Improve usability by not autoselecting the first item when
  changing directories.
  Ensure that calling setDirectory() with a path shows the
  directory when the path contains a file name.
  Avoid unnecessary resolving of mount points, leading to
  lockups on Unix.
  Fixed potential crash when selecting an extension filter with
  no matches in current directory.
  Fixed a problem where using selectFilter() didn't update the
  view.
- QFileInfo
  Fixed issue where copying a QFileInfo and calling refresh()
  could result in file info data being cleared.
  Fixed issue where calling readLink() would resolve link
  targets incorrectly.
- QGLWidget
  Switching from full screen mode to normal mode no longer
  results in incorrect window decorations.
  Fixed overline, underline and strikethrough for text drawn
  with renderText().
- QGridLayout
  Respect specified alignment over default alignment.
- QHeaderView
  Respects dragDistance.
  Respects TextColorRole.
  Fixed painting problems caused by clicking both mouse buttons
  at the same time.
  Fixed painting flaws when using sort indicators.
  Fixed issue where QStyleOptionHeader::End would not be set by
  paintSection.
  Only the left mouse button can now be used to move and resize
  header sections.
  Fixed incorrect header size after swapping header sections.
  Fixed resize mode of header sections after section moves.
  Fixed an assert when changing the selection model.
- QHash / QSet
  Make the operator==() not take the internal order of elements
  into account when comparing.
- QIcon
  Fixed issue where creating QIcons with an invalid path could
  result in a crash.
- Improved handling of focus events when using input methods.
- QInputDialog
  Fixed handling of ampersands in labels.
- QImage
  Fixed drawing of QBitmap's onto a QImage.
- QImageIOHandler
  Made all supported image formats support the Size option.
- QItemSelectionModel
  Fixed an infinite loop in isRowSelected().
- QItemDelegate
  Better handling of QStyleOptionViewItem::Bottom.
  Increased the delegate horizontal margin.
- QLayout
  Warn instead of crash when adding two layouts to a widget.
- QLocale
  Add missing entry for "nb".
- QList
  Fixed a memory leak when repeatedly removing items from the
  end and inserting items in the middle.
- QListView
  Fixed an assert when using QProxyModel as the model.
- QMainWindow
  Handle RTL layout for dockwidgets properly.
  Make dockwidgets remember their sizes after being hidden.
  Improved reliability when saving and restoring state.
- QMenu
  Fixed shortcut handling of already selected submenus.
  Fix setting the window title on torn off menus.
  Fix bug where exec() returned the wrong QAction on some cases.
- QMenuBar
  Improved widget placement in setCornerWidget().
- QMenuItem
  Ensure space for both check mark and icon when using
  QPlastiqueStyle.
- QMYSQLDriver
  Fix crash when formatValue() is called without connection.
- QMessageBox
  information() now works correctly when calling it after
  returning from QApplication::exec()
- QPaintEngine
  Fixed an out of memory issue when drawing very long lines.
  OpenGL : Make sure the image and pixmap cache is used.
  OpenGL : Faster rect outlining for the most common case.
- QPrintEngine
  Better font underlining/overlining.
  Support PDF font embedding, resulting in smaller PDF files and
  selectable text.
  Made our generated PDFs readable by Ghostscript.
  Support pens that have patterns/pixmaps for PDFs.
  Support landscape mode for PDFs.
- QPixmap
  Fixed issue where save() in some cases would return true on
  failure.
- QProgressBar
  Fix incorrect progress in some cases.
- QPushButton
  Buttons reparented into a dialog parent through the layout are
  now auto-default.
- QRadioButton
  Fixed a potential crash in QRadioButton Qt 3 support
  constructors.
- QSortFilterProxyModel
  Improve stability when adding rows to source model.
  Fixed issue where some nodes would show up as expandable even
  if all it's children had been filtered.
  Fixed a crash when deleting rows.
- QSizeGrip
  Fixed size grip painting when maximizing a QMainWindow in a
  QWorkspace.
- QSvgRenderer
  Better handling of invalid files.
- QSvg
  Improve stroking with pen width 0.
  Fix rectangle filling bug.
- QSyntaxHighlighter
  Fixed missing handling of blocks of text under certain
  conditions.
  Improved interaction with input methods.
- QScrollArea
  Fixed an issue where the scroll area sometimes would not
  resize to compensate for content change.
- QString
  Fixed regression in fromLocal8Bit().
- QTextDocument
  Support span style background-color.
  Fix nested tables in html documents regression.
- QTextLayout
  Added support for soft-hyphens.
- QToolButton
  Make popup menus appear on the correct screen.
  Fixed ToolButtonPopupMode when QToolButton has a
  QAction.
- QToolBar
  Combo boxes now appears as submenus in a toolbar extension.
  setIconSize() now works correctly.
  Relative position within toolbars are now kept when saving and
  restoring state.
- QTextBrowser
  Fix missing line break after paragraph.
- QTextEdit
  Improve handling of the TITLE tag.
  Fixed navigating links via tab.
  Improved handling of malformed html.
  Fixed rendering for tables with thead/tbody/tfoot elements.
  Improved copy and paste of content with whitespace
  Make undo/redo update the cursor position.
  Fixed lost cursorPositionChanged() signal in read-only mode.
  Fixed memory leak when calling setHtml() repeatedly.
  Significantly improved performance when appending and editing
  text.
  Improved performance when selecting all text.
  Emit copyAvailable() on mouse selection.
- QTableView
  Fixed drawing of selections after moving columns.
  Do not wrap to the top if Page Down is pressed.
  Improve scrolling behavior.
  QTableView now takes ownership of QHeaders set using
  setHorizontalHeader()
  Fixed issue where calling setModel(0) could result in a
  crash.
- QTreeView
  Fixed scrolling-related item expand bug.
  Improve scrolling behavior.
  QTreeView now takes ownership of QHeaders set using
  setHorizontalHeader()
  Avoid crash when calling setRowHidden with no model.
  Avoid crash when calling sizeHintForColumn() in some cases.
  Improved performance when adding rows.
  Fixed update of view when changing row heights.
  Fixed a bug where calling setCurrentIndex() did not update the
  view correctly.
  Removed extra emit of the expanded() signal on already
  expanded branches.
- QTreeWidget
  Fixed tristate check item behavior.
- QTabWidget
  Fixed bug that caused missing resize when dynamically adding
  widgets.
  Fixed text positioning in a tab with an icon.
- QTemporaryFile
  Fixed issue where calling open() could potentially change the
  file name.
- QTextDocument
  Improved stability when importing incorrectly formed html
  tables.
  Improved stability when importing closing tags without
  corresponding opening tags.
- QTextStream
  Ensure valid codec converter state after calling seek(0).
  Fixed issue where readAll() would not work with sequential
  devices.
- QTabBar
  Improve handling of tab removal.
- QUrl
  Improve handling of hostnames containing digits.
  Fix crash when calling hasQueryItem() on QUrl without any
  query items.
  Added support for parsing file names with '[' and ']'
  characters.
- QVariant
  Improve operator==() behavior when comparing different types.
  The QVariant(const char *) constructor is now unavailable when
  QT_NO_CAST_TO_ASCII is set. Otherwise, it uses
  QString::fromAscii to convert the const char * to a Unicode
  QString to prevent loss of information.
- QWidget
  Fix regression in setMask().
  Fixed issue where incorrect minimum size was reported after
  reparenting from a top level widget.
  Fixed return value of normalGeometry() after the widget has
  been maximized.
  Fixed crash on application exit if the widget was created
  before the widget mapper is initialized.
- QXpmHandler
  Fixed handling of non-transparent XPM images.
- XMLInputReader
  Fixed issue where entities in XML files were not
  resolved.
- QXmlSimpleReader
  A significant (approx. 50x) speedup in QXmlSimpleReader when
  parsing documents which contain internal or external entities.
- Q3DataTable
  Drivers not supporting the QuerySize feature would display one
  row of data too little.
- Q3IconView
  Fixed selection appearance.
- Q3TextEdit
  Fixed focus indicator tabbing through tables.
  Fixed coloring when inserting text after use of setColor().
- Q3TabDialog
  Added missing selected() signal
- Q3ListView
  Fixed occasional crashes when deleting items.
  Fixed wrong label after addLabel(QString()).
- Q3ScrollView
  Fixed default focus policy for deriving classes.
- Q3ToolBar
  Q3Action::setOn() now works correctly.
  Adding an action now sets all action properties correctly.
- Q3ActionGroup
  Fix drop down drawing error.
- Q3MainWindow
  Fixed a regression in setUsesIconText().
  Reintroduced qt_x11_set_global_double_buffer() for binary
  compatibility.
  Improved tablet event handling.
- QApplication
  The KeypadModifier is now set when NumLock is enabled.
- QBitmap
  Fixed text drawing errors under some fontconfig
  settings.
- QLibrary
  isLibrary() now returns true for .a and .so on AIX.
- qmake
  Improved stability when modifying environment variables
  Allow '/' as a path separator on all platforms.
- QPaintEngine
  Fixed issue where filling and stroking ellipses could leave
  pixel gaps.
- QPainter
  Implemented Porter-Duff composition support.
  Fix artifacts when drawing aliased primitives with an alpha
  pen.
  Fixed issue where rotating pixmaps could add a pixel row in
  some cases.
  Fixed drawing of arcs of less than 1 degree.
  Made drawText() honor the Qt::TextWrapAnywhere flag.
- QPrinter
  Fixed cleanup of child processes.
- QPrintDialog
  Fixed problems when using "From page" and "To page" spin
  boxes.
  Made it impossible to choose "OK" when no printers are
  configured.
- QProcess
  Fixed possible deadlock when calling startDetatched().
- QScrollArea
  Catch double click also when size exceeds window system size
  limits.
- QTextEdit
  Fixed an issue where the horizontal scrollbar did not show up.
- QWorkspace
  Fixed missing mouse event propagation to child widgets.
* Mon Apr 10 2006 - dmueller@suse.de
- fix wrong assembler mnemonic in QAtomic for s390x
* Wed Mar 22 2006 - dmueller@suse.de
- fix debug package conflict
* Tue Mar 21 2006 - dmueller@suse.de
- don't build the examples against debug libs
- fix plugin loading (#159092)
* Wed Mar 01 2006 - dmueller@suse.de
- strip $RPM_BUILD_DIR from installed files (#153597)
* Fri Feb 17 2006 - dmueller@suse.de
- install arthurplugin into plugin designer path (#151529)
- add patch to make parallel builds work
- enable parallel builds
* Thu Feb 16 2006 - dmueller@suse.de
- Fix qt-devel requires
- Add patch to make it usable for KDE 4
* Sun Feb 12 2006 - stbinner@suse.de
- fix build
* Sun Feb 12 2006 - ro@suse.de
- fix spec file
* Wed Feb 08 2006 - dmueller@suse.de
- build qt-sql in qt.spec, and only the plugins separate
* Fri Feb 03 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Feb 01 2006 - dmueller@suse.de
- remove no-visibility patch. Qt now builds fine with it
- remove no_rpath patch and instead use -no-rpath configure option
- split source package
- add upstream patch to fix license display in Qt dialog boxes
  (#146599)
* Tue Jan 31 2006 - dmueller@suse.de
- fix qt-qt3support / qt-devel file conflict
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 - dmueller@suse.de
- update to Qt 4.1 final
- add ldconfig post/postun for qt3support
* Wed Dec 07 2005 - uli@suse.de
- atomic-s390.patch has been merged into 4.1, applying it again
  breaks build; removed
- change X keysyms include order to avoid double definitions
* Tue Nov 22 2005 - stbinner@suse.de
- update to Qt 4.1 RC 1
* Thu Nov 17 2005 - dmueller@suse.de
- fix build for 9.1, 9.2
* Wed Sep 28 2005 - dmueller@suse.de
- fix upgrade path (unpacking symlinks over dirs doesn't work)
* Sat Sep 17 2005 - dmueller@suse.de
- add patch to make input methods work (#116778)
* Sat Sep 17 2005 - dmueller@suse.de
- fix build for older distro's
* Thu Sep 08 2005 - dmueller@suse.de
- fix qtdemo (#113783)
* Thu Sep 08 2005 - adrian@suse.de
- do not disable STL support, which would make us incompatible
* Thu Sep 01 2005 - dmueller@suse.de
- fix filelist
* Mon Aug 29 2005 - adrian@suse.de
- do not do a parallel build, it does fail too often
* Tue Aug 23 2005 - dmueller@suse.de
- fix filelist
- fix pkgconfig location
- remove BUILD-dirs from pkgconfig files
* Mon Aug 22 2005 - dmueller@suse.de
- 4.0.1 update (bugfixes)
- add -debug subpackage
* Fri Aug 12 2005 - dmueller@suse.de
- fix dependency of devel package
- fix doc packaging
- fix permissions
- add hack to fix the .la files produced by qmake
* Sun Aug 07 2005 - adrian@suse.de
- link against external sqlite
- fix -devel package requires
* Sat Aug 06 2005 - adrian@suse.de
- add desktop files for gui applications
* Tue Jul 12 2005 - schwab@suse.de
- Fix ia64 atomic ops.
* Tue Jul 05 2005 - uli@suse.de
- fixed semantics of atomic ops for s390* (tested and working)
* Wed Jun 29 2005 - dmueller@suse.de
- reapply lost ia64 fixes
- build with -release only
* Wed Jun 29 2005 - uli@suse.de
- fixed to build on lib64 archs
- squelched warnings that offend autobuild
- added atomic ops for s390*
* Tue Jun 28 2005 - dmueller@suse.de
- upgrade Qt 4.0 final
* Fri Jun 17 2005 - dmueller@suse.de
- some more rpmlint fixes and one ia64 fix.
* Wed Jun 15 2005 - dmueller@suse.de
- build
* Wed Jun 15 2005 - dmueller@suse.de
- fix packaging
* Tue Jun 14 2005 - dmueller@suse.de
- update to 4.0.0rc1
* Thu May 12 2005 - ro@suse.de
- fix build on x86-64 fix build on x86-64
* Wed Apr 13 2005 - adrian@suse.de
- update to beta2
- rename qt-qt3compat package to qt-qt3support to follow library name
* Wed Jan 05 2005 - adrian@suse.de
- update to pre beta2 snapshot 200513
  * package is under GPL/QPL again
- split package into sub packages
  * qt           - does not require any X11 or image lib dependency
  * qt-x11       - does need libX11 and OpenGL
  * qt-qt3compat - library for easy porting of Qt 3 code
  * qt-devel     - all development stuff
  * qt-devel-doc - API documentation and assistant tool
  * qt-sql*      - SQL database lib and plugins
* Fri Jul 09 2004 - adrian@suse.de
- initial package of the new, great, perfect designed Qt 4
- internal package only for now
